Ticket #36007

JTalk で NVDA+B 実行時にレビューカーソルが動くタイミングが違う

Open Date: 2016-02-01 18:35 Last Update: 2016-02-13 14:17

Reporter: nishimoto Owner: nishimoto
Type: Bugs Status: Closed
Component: 音声合成 MileStone: 2016.1jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

NVDA 日本語版ガイドブック 4.1 「レビューカーソルの使い方」

http://nishimotz.github.io/nvdajp-book/

で説明しているように NVDA+B 「アクティブウィンドウの読み上げ」を実行すると、 フォーカスハイライトでレビューカーソルの移動が確認できるのですが、 このレビューカーソルのマークの移動するタイミングが eSpeak, SAPI4, SAPI5 などのエンジンと比べて JTalk の場合にオブジェクトひとつぶん遅い、ということに気がつきました。

どうやら音声エンジンから NVDA に読み上げ位置を通知する処理の実装が、 他のエンジンと違っているようです。

検証環境: 2016.1jp-beta-160201

Attachment File List

No attachments

Ticket History (3/3 Histories)

2016-02-01 18:35 Updated by: nishimoto
  • New Ticket "JTalk で NVDA+B 実行時にレビューカーソルが動くタイミングが違う" created
2016-02-02 11:51 Updated by: nishimoto
  • Milestone Update from (None) to 2016.1jp (closed)
  • Resolution Update from None to Fixed
Comment

2016.1jp-beta-160202 で JTalk の仕様をすこし変更しました。

フォーカスハイライトの挙動以外で影響が出るとしたら、 「すべて読み上げ」などの動作ですが、 私が確認した範囲では問題はないと思います。

基本的に SAPI ドライバーの挙動に近づけているつもりですが、 なにか不具合があったら教えてください。

2016-02-13 14:17 Updated by: nishimoto
  • Ticket Close date is changed to 2016-02-13 14:17
  • Status Update from Open to Closed

Edit

Please login to add comment to this ticket » Login